// The Tree Declaration file

#declare Sub_Branch = union {
                              cone {<0,0,0>,2,
                                    <64,0,0>,0
                                    pigment { rgb<0.4,0.3,0.1>}
                                    }
                              mesh {
  #while (Count < NLeaves)
    #declare Rot1 = (rand(RLeaves)*45)
    #declare Rot2 = ((rand(RLeaves)*90)-45)
    #declare Trn1 = <rand(RLeaves)*64,0,0>
    #if (rand(RLeaves)>0.5)
      #declare SLeaves = LeafSze*<1,1,-1>
    #else
      #declare SLeaves = LeafSze*<1,1,1>
    #end
                                     smooth_triangle {(vrotate(<0,0,8>,(y*Rot1)+(x*Rot2))*SLeaves)+Trn1,vrotate(<0.5,0.4,0.1>,(y*Rot1)+(x*Rot2))*SLeaves,
                                                      (vrotate(<0,0,6>,(y*Rot1)+(x*Rot2))*SLeaves)+Trn1,vrotate(<0.5,0.4,0.0>,(y*Rot1)+(x*Rot2))*SLeaves,
                                                      (vrotate(<2,0,6>,(y*Rot1)+(x*Rot2))*SLeaves)+Trn1,vrotate(<-.3,1.0,0.0>,(y*Rot1)+(x*Rot2))*SLeaves
                                                      }
                                     smooth_triangle {(vrotate(<0,0,4>,(y*Rot1)+(x*Rot2))*SLeaves)+Trn1,vrotate(<0.5,0.4,-.1>,(y*Rot1)+(x*Rot2))*SLeaves,
                                                      (vrotate(<0,0,6>,(y*Rot1)+(x*Rot2))*SLeaves)+Trn1,vrotate(<0.5,0.4,0.0>,(y*Rot1)+(x*Rot2))*SLeaves,
                                                      (vrotate(<2,0,6>,(y*Rot1)+(x*Rot2))*SLeaves)+Trn1,vrotate(<-.3,1.0,0.0>,(y*Rot1)+(x*Rot2))*SLeaves
                                                      }
                                     smooth_triangle {(vrotate(<0,0,8>*<-1,1,1>,(y*Rot1)+(x*Rot2))*SLeaves)+Trn1,vrotate(<0.5,0.4,0.1>*<-1,1,1>,(y*Rot1)+(x*Rot2))*SLeaves,
                                                      (vrotate(<0,0,6>*<-1,1,1>,(y*Rot1)+(x*Rot2))*SLeaves)+Trn1,vrotate(<0.5,0.4,0.0>*<-1,1,1>,(y*Rot1)+(x*Rot2))*SLeaves,
                                                      (vrotate(<2,0,6>*<-1,1,1>,(y*Rot1)+(x*Rot2))*SLeaves)+Trn1,vrotate(<-.3,1.0,0.0>*<-1,1,1>,(y*Rot1)+(x*Rot2))*SLeaves
                                                      }
                                     smooth_triangle {(vrotate(<0,0,4>*<-1,1,1>,(y*Rot1)+(x*Rot2))*SLeaves)+Trn1,vrotate(<0.5,0.4,-.1>*<-1,1,1>,(y*Rot1)+(x*Rot2))*SLeaves,
                                                      (vrotate(<0,0,6>*<-1,1,1>,(y*Rot1)+(x*Rot2))*SLeaves)+Trn1,vrotate(<0.5,0.4,0.0>*<-1,1,1>,(y*Rot1)+(x*Rot2))*SLeaves,
                                                      (vrotate(<2,0,6>*<-1,1,1>,(y*Rot1)+(x*Rot2))*SLeaves)+Trn1,vrotate(<-.3,1.0,0.0>*<-1,1,1>,(y*Rot1)+(x*Rot2))*SLeaves
                                                      }
                                     triangle {<0,0,0>+Trn1,
                                               (vrotate(<0.4,0,4.4>,(y*Rot1)+(x*Rot2))*SLeaves)+Trn1,
                                               (vrotate(<-.4,0,4.4>,(y*Rot1)+(x*Rot2))*SLeaves)+Trn1
                                               }
    #declare Count = Count+1
  #end
    #declare Count = 0
                                     }
                                     texture { Leaf_Texture}
                              }

#declare Branch = union { /*cone {<0,0,0>,12
                                <0,0,128>,0
                                pigment { rgb<0.4,0.3,0.1>}
                                }*/
  #while (Count < NSBrncs)
                          object { Sub_Branch
                                       rotate y*(rand(RSBrncs)*-45)
                                       rotate z*((rand(RSBrncs)*90)-15)
    #if (rand(RSBrncs)>0.5)
      #declare SSBrncs = <1,1,-1>
    #else
      #declare SSBrncs = <1,1,1>
    #end
                                       scale SSBrncs
                                       translate <0,0,(sin(radians(sin(radians(sin(radians(rand(RSBrncs)*90))*90))*90)))*128>
                                       }
    #declare Count = Count+1
  #end
  #declare Count = 0
                          }

#declare Tree = union {
#if (Trunk = 1)
  #render "Ooh, a tree"
  #else
  #render "Ooh, no tree"
#end
  #while (Count < NBrancs)
                        object { Branch
                                 scale (1-(rand(RBrancs)/VaryDeg))*VaryAmt
                                 rotate x*((rand(RBrancs)*-GenAngle)+((Count/NBrancs)*TopAngle)) //*TopAngle)/(90*NBrancs))) //15)
                                 rotate y*(rand(RBrancs)*360)
    #if (rand(RBrancs)>0.5)
      #declare SBrancs = <1,1,-1>
    #else
      #declare SBrancs = <1,1,1>
    #end
                                 scale SBrancs
                                 translate <0,THeight+(((Height-THeight)/NBrancs)*(Count+1)),0> //256+(rand(RBrancs)*1024),0>
                                 }
    #declare Count = Count+1
  #end
  #declare Count = 0
                        }

 /*                       cone {<0,0,0>,64,
                              <0,Height,0>,0
                              pigment { rgb<0.4,0.3,0.1>}
                              }*/

